package org.gcube.portlets.user.geoportaldataviewer.shared;

import java.io.Serializable;
import java.util.List;

import org.gcube.portlets.user.geoportaldataviewer.shared.gis.LayerObject;
import org.gcube.portlets.user.geoportaldataviewer.shared.gis.wfs.FeatureRow;


/**
 * The Class GeoNaDataObject.
 *
 * @author Francesco Mangiacrapa at ISTI-CNR (francesco.mangiacrapa@isti.cnr.it)
 * 
 * Nov 13, 2020
 */
public class GeoNaDataObject implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 3513120677727206958L;
	private List<FeatureRow> features;
	private LayerObject sourceLayerObject;
	
	/**
	 * Instantiates a new geo na data object.
	 */
	public GeoNaDataObject(){
		
	}

	/**
	 * Gets the features.
	 *
	 * @return the features
	 */
	public List<FeatureRow> getFeatures() {
		return features;
	}

	/**
	 * Sets the features.
	 *
	 * @param features the new features
	 */
	public void setFeatures(List<FeatureRow> features) {
		this.features = features;
	}

	/**
	 * Gets the source layer object.
	 *
	 * @return the source layer object
	 */
	public LayerObject getSourceLayerObject() {
		return sourceLayerObject;
	}

	/**
	 * Sets the source layer object.
	 *
	 * @param sourceLayerObject the new source layer object
	 */
	public void setSourceLayerObject(LayerObject sourceLayerObject) {
		this.sourceLayerObject = sourceLayerObject;
	}

	/**
	 * To string.
	 *
	 * @return the string
	 */
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("GeoNaDataObject [features=");
		builder.append(features);
		builder.append(", sourceLayerObject=");
		builder.append(sourceLayerObject);
		builder.append("]");
		return builder.toString();
	}
	
}
